#include <bits/stdc++.h>
using namespace std;
int main() {
    int n, pr=1, i;
    cin>>n;
    for(i=1; i*i<n; i++){
        pr*=i;
    }
    pr/=i-1;
    cout<<n / pr * pr + 1<<endl;
    return 0;
}
